PRO binavrms,v,b,vsigma,vmean,osax
;
; Calculation of rms fluctuation VSIGMA and mean value VMEAN
; of an array V that depends on an array B
;
; INPUTS: arrays V (ordinate), B (abscissa)
; OUTPUT: VSIGMA, VMEAN - V rms fluctuation (sigma) and mean values -
; 1D arrays with values in n JEM bins from Bmin to Bmax,
; minimum MINC points in the bin.
; 	OSAX - abscissa for plotting

jem=0.01		; parameter: bin size
minc=100    ; parameter: minimum number of points in a bin

bmin=min(b)
n=fix((max(b)-bmin)/jem)+1
vsigma=fltarr(n)
vmean=fltarr(n)
osax=indgen(n)*jem+bmin

for i=0,n-1 do begin
  w=where((b-bmin gt i*jem) and (b-bmin le (i+1)*jem),c)
;	 print,c
  if c ge minc then vsigma(i)=stddev(v(w))
  if c ge minc then vmean(i)=mean(v(w))
endfor

w=where(vmean)
vmean=vmean(w)
vsigma=vsigma(w)
osax=osax(w)

END
