PRO arpore,band,date,px1,px2,py1,py2,ardi

;Development of sizes and brightnesse of a pore (IR obs. 1997)
;INPUT:    BAND = 1 (IR) or 2 (WL)
;	   DATE = 23 or 25
;	PX1,...,PY2  - limits of the pore's field
;OUTPUT:   ARDI - a 2D array ([Area, Deff, Imin],[frames]),
;		where the total area and absolute intensity minimum of all
;		fragments of the observed pore is given for each frame.
;SUBROUTINES: AR2I.PRO, LABEL_REGION.PRO, HISTOGRAM.PRO
;AR2I.pro contains parameters: scale ("/pix), minimum size, QR subfield...


if band eq 1 then fil1='/net/obus/scratch3/sob/obs97/irdata/i'   $
	else fil1='/net/obus/scratch3/sob/obs97/wldata/w'

if date eq 23 then begin
	lista=indgen(104)+7
	fil2='fi23'
	arr=intarr(408,320,118)
	ardi=fltarr(3,208)		;output array
	x1=10
	x2=397
	y1=10
	y2=309
endif else begin
	lista=indgen(136)+7
	fil2='fi25'
	arr=intarr(388,300,150)
	ardi=fltarr(3,272)		;output array
	x1=10
	x2=377
	y1=10
	y2=289
endelse

n=n_elements(lista)

;Processing 1st part

openr,1,fil1+fil2+'a.bin'
print,'  reading  ',fil1+fil2+'a.bin'
readu,1,arr
close,1
imgs=arr(x1:x2,y1:y2,lista)

;Measurement of size and brightness

for i=0,n-1 do begin
	AR2I,imgs(*,*,i),date,ob,px1,px2,py1,py2
	ardi(0,i)=total(ob(0,*),2)		;area
	ardi(1,i)=0.1658*sqrt(4*ardi(0,i)/!pi)	;Deff
	ardi(2,i)=min(ob(2,*))			;Imin
endfor


;Processing 2nd part

openr,1,fil1+fil2+'b.bin'
print,'  reading  ',fil1+fil2+'b.bin'
readu,1,arr
close,1
imgs=arr(x1:x2,y1:y2,lista)

;Measurement of size and brightness

for i=0,n-1 do begin
	AR2I,imgs(*,*,i),date,ob,px1,px2,py1,py2
	ardi(0,i+n)=total(ob(0,*),2)			;area
	ardi(1,i+n)=0.1658*sqrt(4*ardi(0,i+n)/!pi)	;Deff
	ardi(2,i+n)=min(ob(2,*))			;Imin
endfor


END
