PRO OVEL,data,ima,reb,scale,offset

;Visualization of average velocities computed by OTROK.
;Inputs: data  - resulting array of otrok
;	 ima   - underlying image (e.g. average frame)
;	 reb   - rebinning factor
;	 scale - scaling factor km/s - arrow length
;	 offset- two-element array with coord offsets
;		 of "data" w.r. to "ima"
;Calling: ovel,res,ave,3,6,[5,5]

if n_params() lt 5 then offset=[0,0]
s=size(data)
si=size(ima)
if si(0) eq 3 then ima=reform(ima)
scale=scale*reb
window,2,xsize=si(1)*reb,ysize=si(2)*reb
tvscl,rebin(ima,si(1)*reb,si(2)*reb)

for i=0,s(2)-1 do begin
  x0=(data(1,i)+offset(0))*reb	;beginning - average position
  y0=(data(2,i)+offset(1))*reb
  x1=x0+data(3,i)*scale	;end - velocity magnitude
  y1=y0+data(5,i)*scale
  arrow,x0,y0,x1,y1,thick=1,hsize=4,col=255
endfor
  arrow,5*reb,5*reb,5*reb+scale,5*reb,thick=2,hsize=4,col=100
	;scale 1 km/s

END
